{% extends "users/userspace.html" %}

{% block scripts %}
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/css/select2.min.css" rel="stylesheet">
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.min.js"></script>


<script>
    $(document).ready(function() {
        $('.select2').select2();
        $.ajax({
            url: '/paysans/get_all_farms',
            success: function(data) {
                data.unshift({ id: '', text: 'Toutes les fermes' });
                $('.select2').select2({
                    data: data
                });
            }
        });
    });
</script>
{% endblock %}

{% block content %}
    <div class="container mt-5">

        <h1>Liste des fermes</h1>

        <form method="get" action="" class="d-flex align-items-center flex-row flex-wrap my-3">
            <label class="me-3 my-2" for="user_email_input">Rechercher une ferme : </label>
            <select class="form-control select2 my-2" id="farm_id_input" name="search" style="width: 35em;"></select>
            <label class="ms-3 me-2 my-2" for="archive_select">Inclure les fermes archivées : </label>
            <input type="checkbox" class="form-check-input" id="archive_select" name="archive" {% if request.GET.archive %}checked{% endif %}>
            <button class="ms-3 btn btn-secondary my-2" type="submit"><i class="fas fa-eye me-2"></i>Afficher</button>
        </form>

        <div class="table-responsive">
            <table class="table table-striped table-hover align-middle">
                <thead>
                <tr>
                    <th class="pe-1">
                        Nom
                    </th>
                    <th class="pe-1">
                        Type de produits
                    </th>
                    <th class="pe-1">
                        Représentant
                    </th>
                    <th class="pe-1">
                        Détails
                    </th>
                </tr>
                </thead>
                <tbody>
                {% for farm in farms %}
                <tr>
                    <td class="pe-1 fw-bold">
                        {{ farm.nom }}
                    </td>
                    <td class="pe-1">
                        {{ farm.type_activite }}
                    </td>
                    <td class="pe-1">
                        <a href="{% url 'user_details_admin' farm.representant.id %}"
                                   target="_blank">
                        {{ farm.representant }}
                        </a>
                    </td>
                    <td class="pe-1">
                        <a type="button" class="btn btn-link" href="{% url 'farm_details_admin' farm.id %}">
                            <i class="fas fa-info-circle me-1"></i>Détails
                        </a>
                        <a type="button" class="btn btn-link" href="{% url 'ferme_hub' farm.id %}">
                            <i class="fas fa-cogs me-2"></i>Page de gestion
                        </a>
                    </td>
                </tr>
            {% endfor %}
            {% if farms|length == 0 %}
            <tr>
                <td colspan="7" class="text-center">
                Aucun résultat
                </td>
            </tr>
            {% endif %}
                </tbody>
            </table>
        </div>

    {% pagination_widget farms request %}
    </div>
{% endblock %}
